# Class VerticalDatumType

Object
CodeList<VerticalDatumType>
VerticalDatumType

All Implemented Interfaces:
  `Serializable, Comparable<VerticalDatumType>`

@UML(identifier="CD_VerticalDatumType", specification=ISO_19111) public final class VerticalDatumType extends CodeList<VerticalDatumType>
Type of a vertical datum.

Since:
  1.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final VerticalDatumType`
  `BAROMETRIC`
  Atmospheric pressure is the basis for the definition of the origin of the associated vertical coordinate system axis.
  `static final VerticalDatumType`
  `DEPTH`
  The zero point of the vertical axis is defined by a surface that has meaning for the purpose which the associated vertical measurements are used for.
  `static final VerticalDatumType`
  `GEOIDAL`
  The zero value of the associated vertical coordinate system axis is defined to approximate a constant potential surface, usually the geoid.
  `static final VerticalDatumType`
  `OTHER_SURFACE`
  In some cases, e.g. oil exploration and production, a geological feature, such as the top or bottom of a geologically identifiable and meaningful subsurface layer, is used as a vertical datum.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VerticalDatumType[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static VerticalDatumType`
  `valueOf(String code)`
  Returns the vertical datum type that matches the given string, or returns a new one if none match it.
  `static VerticalDatumType[]`
  `values()`
  Returns the list of `VerticalDatumType`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### OTHER_SURFACE

    @UML(identifier="other surface", obligation=CONDITIONAL, specification=ISO_19111) public static final VerticalDatumType OTHER_SURFACE
    In some cases, e.g. oil exploration and production, a geological feature, such as the top or bottom of a geologically identifiable and meaningful subsurface layer, is used as a vertical datum. Other variations to the above three vertical datum types may exist and are all included in this type.

  - ### GEOIDAL

    @UML(identifier="geoidal", obligation=CONDITIONAL, specification=ISO_19111) public static final VerticalDatumType GEOIDAL
    The zero value of the associated vertical coordinate system axis is defined to approximate a constant potential surface, usually the geoid. Such a reference surface is usually determined by a national or scientific authority, and is then a well-known, named datum.

  - ### DEPTH

    @UML(identifier="depth", obligation=CONDITIONAL, specification=ISO_19111) public static final VerticalDatumType DEPTH
    The zero point of the vertical axis is defined by a surface that has meaning for the purpose which the associated vertical measurements are used for. For hydrographic charts, this is often a predicted nominal sea surface (i.e., without waves or other wind and current effects) that occurs at low tide. Depths are measured in the direction perpendicular (approximately) to the actual equipotential surfaces of the earth's gravity field, using such procedures as echo-sounding.

  - ### BAROMETRIC

    @UML(identifier="barometric", obligation=CONDITIONAL, specification=ISO_19111) public static final VerticalDatumType BAROMETRIC
    Atmospheric pressure is the basis for the definition of the origin of the associated vertical coordinate system axis. These are approximations of orthometric heights obtained with the help of a barometer or a barometric altimeter. These values are usually expressed in one of the following units: meters, feet, millibars (used to measure pressure levels), or theta value (units used to measure geopotential height).

- ## Method Details

  - ### values

    public static VerticalDatumType[] values()
    Returns the list of `VerticalDatumType`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public VerticalDatumType[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<VerticalDatumType>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static VerticalDatumType valueOf(String code)
    Returns the vertical datum type that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.